Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.extend
Class Replies

    java.lang.Object
      org.directwebremoting.extend.Replies

    public class Replies

extends java.lang.Object

The request made by the browser which consists of a number of function call requests and some associated information like the request mode (XHR or iframe).

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`Replies(java.lang.String batchId)`

Method Summary
`void` | `addReply(Reply reply)` Add a reply to the collection of replies we are about to make
`java.lang.String` | `getBatchId()`
`Reply` | `getReply(int index)`
`int` | `getReplyCount()` How many replies are there is this request
`void` | `setBatchId(java.lang.String batchId)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Replies

    public Replies(java.lang.String batchId)

Parameters:
  `batchId` - The batchId to set.

Method Detail

### getReplyCount

    public int getReplyCount()

  How many replies are there is this request

  Returns:
    The total number of replies

### getReply

    public Reply getReply(int index)

  Parameters:
    `index` - The index (starts at 0) of the reply to fetch
  Returns:
    Returns the replies.

### addReply

    public void addReply(Reply reply)

  Add a reply to the collection of replies we are about to make

  Parameters:
    `reply` - The reply to add

### setBatchId

    public void setBatchId(java.lang.String batchId)

  Parameters:
    `batchId` - The batchId to set.

### getBatchId

    public java.lang.String getBatchId()

  Returns:
    Returns the batchId.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD